# This spec file has been automatically updated
Version:        16
Release:        1%{?dist}
Name:           cockpit-composer
Summary:        Composer GUI for use with Cockpit

License:        MIT
URL:            http://weldr.io/
Source0:        https://github.com/weldr/cockpit-composer/releases/download/%{version}/cockpit-composer-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  libappstream-glib

Requires:       cockpit
Requires:       weldr
Suggests:       golang-github-osbuild-composer >= 7

%description
Composer generates custom images suitable for deploying systems or uploading to
the cloud. It integrates into Cockpit as a frontend for osbuild.

%prep
%setup -q -n cockpit-composer-%{version}

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/cockpit/composer
cp -a public/dist/* %{buildroot}/%{_datadir}/cockpit/composer
mkdir -p %{buildroot}/%{_datadir}/metainfo/
appstream-util validate-relax --nonet io.weldr.cockpit-composer.metainfo.xml
cp -a io.weldr.cockpit-composer.metainfo.xml %{buildroot}/%{_datadir}/metainfo/

%files
%doc README.md
%license LICENSE.txt
%{_datadir}/cockpit/composer
%{_datadir}/metainfo/*

%changelog
* Wed Apr 15 2020 Jacob Kozol <jacobdkozol@gmail.com> - 16-1

- The ability to upload to AWS has been added. The create image modal is
  replaced with a wizard enabling additional customizations and
  functionality. If the user creates an AMI the user can also enter the
  credentials and parameters needed to upload this image to EC2 in AWS.

- Cockpit-composer has migrated from Weldr to the OSBuild github
  organization. It can now be found at osbuild/cockpit-composer instead
  of weldr/cockpit-composer.

- Minor NPM updates have been made for React and Patternfly

